Bug 219324 - REGRESSION (Safari 14): background-attachment: local does not work
Summary: REGRESSION (Safari 14): background-attachment: local does not work
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: Safari 14
Hardware: Mac Other
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-11-28 03:34 PST by sunder liu
Modified: 2024-06-07 01:43 PDT (History)
18 users (show)

See Also:


Attachments
background-attachment: local not working (4.36 MB, application/x-webarchive)
2021-03-05 07:44 PST, George PLANT
no flags Details
Patch (7.04 KB, patch)
2022-01-06 17:24 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (8.82 KB, patch)
2022-01-06 20:18 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Patch (9.12 KB, patch)
2022-01-06 21:19 PST, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sunder liu 2020-11-28 03:34:16 PST
It seems that background-attachment:local is not working on Safari 14.0.1 (macOS Big Sur)

I tried on this demo from MDN

https://interactive-examples.mdn.mozilla.net/pages/css/background-attachment.html

for Safari 14.0.1, background-attachment:local and background-attachment:scroll are working the same.
but it works right on Chrome (macOS Big Sur)
Comment 1 Alexey Proskuryakov 2020-11-29 14:59:50 PST
Thank you for the report! Could you please confirm if this worked with older versions?
Comment 2 sunder liu 2020-11-29 16:36:53 PST
Yes, it works on Safari 13.1.1 (Catalina 10.15.5)

(In reply to Alexey Proskuryakov from comment #1)
> Thank you for the report! Could you please confirm if this worked with older
> versions?
Comment 3 Radar WebKit Bug Importer 2020-11-30 09:39:12 PST
<rdar://problem/71808922>
Comment 4 George PLANT 2021-03-05 07:40:48 PST
I can confirm this bug exists. 

Please see attachments
Comment 5 George PLANT 2021-03-05 07:44:41 PST
Created attachment 422372 [details]
background-attachment: local not working

See class css .strategy__data for the background-attachment: local. 

When scrolling horrizontly the background does not move.
Comment 6 lvschie 2021-11-11 04:20:55 PST
Please assign someone to this issue, it should be fixed after a year.
Comment 7 Simon Fraser (smfr) 2022-01-06 17:24:08 PST
Created attachment 448549 [details]
Patch
Comment 8 Simon Fraser (smfr) 2022-01-06 17:28:57 PST
Note to self: might need a separate fix for the root.
Comment 9 Simon Fraser (smfr) 2022-01-06 20:18:21 PST
Created attachment 448556 [details]
Patch
Comment 10 Simon Fraser (smfr) 2022-01-06 21:19:59 PST
Created attachment 448559 [details]
Patch
Comment 11 Bramus 2022-01-07 09:23:25 PST
Possibly related: https://bugs.webkit.org/show_bug.cgi?id=181048

(The listed workaround in comment https://bugs.webkit.org/show_bug.cgi?id=181048#c6 stopped working in iOS15)
Comment 12 EWS 2022-01-07 10:07:55 PST
Committed r287757 (245820@main): <https://commits.webkit.org/245820@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 448559 [details].